/*
 * Copyright 2009 the Stormcat Project.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */
package org.stormcat.jvbeans.config.dataspec;

import org.stormcat.jvbeans.config.RecordTypeId;
import org.stormcat.jvbeans.config.condition.StoredOpenCondition;
import org.stormcat.jvbeans.dto.AncestryInfoDto;
import org.stormcat.jvbeans.dto.BreedingHorseMasterDto;
import org.stormcat.jvbeans.dto.SonMasterDto;

/**
 * @author a.yamada
 *
 */
public enum _Blod implements org.stormcat.jvbeans.config.dataspec.StoredDataSpec {

    INSTANCE;
    
    public StoredOpenCondition<BreedingHorseMasterDto> _HN() {
        return new StoredOpenCondition<BreedingHorseMasterDto>(this, RecordTypeId.HN, BreedingHorseMasterDto.class);
    }
    
    public StoredOpenCondition<SonMasterDto> _SK() {
        return new StoredOpenCondition<SonMasterDto>(this, RecordTypeId.SK, SonMasterDto.class);
    }
    
    public StoredOpenCondition<AncestryInfoDto> _BT() {
        return new StoredOpenCondition<AncestryInfoDto>(this, RecordTypeId.BT, AncestryInfoDto.class);
    }

    /**
     * {@inheritDoc}
     */
    public String getName() {
        return "蓄積系ソフト用　血統情報";
    }

    /**
     * {@inheritDoc}
     */
    public String getValue() {
        return "BLOD";
    }

}
